/***************************************************************************
                          dialegbinaritza.cpp  -  description
                             -------------------
    begin                : lun feb 16 2004
    copyright            : (C) 2004 by projecte
    email                : projecte@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dialegbinaritza.h"
                                                                                                                                                                 
DialegBinaritza::DialegBinaritza(CaractDoc &i):QDialog (0, 0, FALSE, WStyle_Customize | WType_Dialog | WStyle_Title | WStyle_DialogBorder){//WStyle_Customize | WStyle_DialogBorder | WStyle_Dialog){
  rmtmp=i.imatge.imatge;    //ens cal una copia de la imatge per tractar
  pDoc=&i;      //ens cal poder tractar la propia matge

  pDoc->imatge.imatge.escalaGris();  //passem a gris la imatge per si d cas
  
  setFixedSize(300,140);
  setCaption("Binaritza");
  
      //muntem grups spinbox + slider   MODUL
   GrupBarretaSlider = new QGroupBox ("Llindar", this);
   GrupBarretaSlider->setGeometry (QRect(15,15,270,50));
   GrupBarretaSlider->setLineWidth(0);
      barreta = new QSlider(Qt::Horizontal, GrupBarretaSlider);
      barreta->setGeometry (QRect(5,20, 200, 20));
      barreta->setRange (0, MAX);
      barreta->setValue(MAX);
      connect (barreta, SIGNAL(sliderMoved (int)), this, SLOT(slotVariaEntrada(int)));

      entrada = new QSpinBox (GrupBarretaSlider);    
      entrada->setMaxValue (MAX);
      entrada->setGeometry (QRect(215, 20, 50, 20));
      entrada->setValue(MAX);
      connect (entrada, SIGNAL (valueChanged (int)), this, SLOT(slotVariaSlider(int)));

      //botons acceptar i cancelar
   botoOk = new QPushButton(this,"ok");
   botoOk->setGeometry( QRect( 36, 80, 93, 26 ) );
   botoOk->setText( "Ok" );
   connect(botoOk, SIGNAL(clicked()), this, SLOT(slotBotoOK()));

   botoCancel = new QPushButton(this,"cancelar");
   botoCancel->setGeometry( QRect( 177, 80, 93, 26 ) );
   botoCancel->setText( "Cancelar");
   connect(botoCancel, SIGNAL(clicked()), this, SLOT(slotBotoCANCEL()));
}

DialegBinaritza::~DialegBinaritza(){
     delete GrupBarretaSlider;
     delete barreta;
     delete entrada;

     delete botoOk;
     delete botoCancel;

//     delete pDoc;
}


//Cal cridar-la abans de cridar el dialeg sempre k no shagi executat el constructor
void DialegBinaritza::InitDialeg(CaractDoc &i){
  rmtmp=i.imatge.imatge;    //ens cal una copia de la imatge per tractar
  pDoc=&i;      //ens cal poder tractar la propia matge
}


void DialegBinaritza::slotBotoOK(){
   QString fileName=QString(pDoc->title());

   fileName = fileName.section( '/', -1 );    //agafa unicament el nom

   pDoc->setTitle(fileName);
   close();

   
}

void DialegBinaritza::slotBotoCANCEL(){
  pDoc->imatge.imatge=rmtmp;   //deixem la imatge com estava
  pDoc->imatge.ompleQImage(pDoc->imatge.imatge);

  pDoc->imatge.dw->update();    
  close();
}

void DialegBinaritza::slotVariaEntrada(int a){
   entrada->setValue(a);

   pDoc->imatge.imatge.threshold_2 (a, 0, MAX, rmtmp);

   if(pDoc->imatge.zm.w!=pDoc->imatge.imatge.dimX && pDoc->imatge.zm.h!=pDoc->imatge.imatge.dimY){
     pDoc->imatge.zm.aplicarZoom(pDoc->imatge.imatge,pDoc->imatge.zm.w,pDoc->imatge.zm.h);
     pDoc->imatge.zm.resImg(&tmp);
     pDoc->imatge.ompleQImage(tmp);
   }
   else pDoc->imatge.ompleQImage();
    
   pDoc->imatge.dw->update();

}

void DialegBinaritza::slotVariaSlider (int a){
   barreta->setValue(a);

   pDoc->imatge.imatge.threshold_2 (a, 0, MAX, rmtmp);
   
   if(pDoc->imatge.zm.w!=pDoc->imatge.imatge.dimX && pDoc->imatge.zm.h!=pDoc->imatge.imatge.dimY){
     pDoc->imatge.zm.aplicarZoom(pDoc->imatge.imatge,pDoc->imatge.zm.w,pDoc->imatge.zm.h);
     pDoc->imatge.zm.resImg(&tmp);
     pDoc->imatge.ompleQImage(tmp);
   }
   else pDoc->imatge.ompleQImage();

   
   pDoc->imatge.dw->update();         
}
