/***************************************************************************
/***************************************************************************
                          dialegobreraw.h  -  description
                             -------------------
    begin                : mar nov 19 2002
    copyright            : (C) 2002 by root

 ***************************************************************************/


#ifndef DIALEGOBRERAW_H
#define DIALEGOBRERAW_H

#include<qdialog.h>
#include<qpushbutton.h>
#include<qslider.h>
#include<qlcdnumber.h>
#include<qlineedit.h>
#include<qlabel.h>
#include<qradiobutton.h>
#include<qmessagebox.h>



class DialegObreRaw : public QDialog{
  Q_OBJECT
public:
	DialegObreRaw(QWidget *parent, const char *name,int wflags);
	~DialegObreRaw();

private slots:
  void slotBotoLE();
  void slotBotoBE();
  void slotBotoOK();
  void slotBotoCancel();

private:
  bool inicialitza();

  QLabel *lbampl;
  QLabel *lbalt;
  QLabel *lbdims;
  QLabel *lbbits;
  QLabel *lbcaps;
  QLabel *lbord;
  QLineEdit *sampl;
  QLineEdit *salt;
  QLineEdit *sbcap;
  QRadioButton *ble;
  QRadioButton *bbe;
  QPushButton *bok;
  QPushButton *bcnl;

public:

  bool valid;
  int alcada;
  int amplada;
  int bitsCaps;
  bool bitsOrd;

};

#endif

