/***************************************************************************
                          zoom.h  -  description
                             -------------------
    begin                : jue nov 7 2002
    copyright            : (C) 2002 by Joan
    email                : Joan@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ZOOM_H
#define ZOOM_H

#include "caract/rmlib/rmimage/rmimage.h"     
#include "caract/rmlib/rmmatrix/rmmatrix2d.h"
#include <qimage.h>

/**
  *@author Joan
  */

class Zoom {
public: 
	Zoom();
	~Zoom();

  void augmentar(rmImage &base,rmImage &mbase,int iw,int ih);
  void disminuir(rmImage &base,rmImage &mbase,int iw,int ih);
  void augmentar(rmImage &base,rmImage &mbase);
  void disminuir(rmImage &base,rmImage &mbase);
  void aplicarZoom(rmImage &base,rmImage &mbase,int iw,int ih);
  void resImg(QImage *res);

public:
//  rmImage img;
  QImage zimg;
  int w,h;
  short cbase,cred,cgreen,cblue;

};

#endif
