/***************************************************************************
                          linmin.h  -  description
                             -------------------
    begin                : Tue Sep 24 2002
    copyright            : (C) 2002 by Robert Marti
    email                : robertmarti@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LINMIN_H
#define LINMIN_H

#include "caract/rmlib/rmmatrix/rmmatrix2d.h"
#include "caract/rmlib/rmutils/rmfuncs.h"


/**Linmin from Numrec 
  *@author Robert Marti
  */

class LinMin {
public: 
	LinMin();
	~LinMin();
	static void solve(rmVector<double>& p, rmVector<double>& xi,	
			double& fret,	rmFuncs& f );
};
#endif

