/***************************************************************************
                          rmfuncs.h  -  description
                             -------------------
    begin                : Wed Sep 25 2002
    copyright            : (C) 2002 by Robert Marti
    email                : robertmarti@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RMFUNCS_H
#define RMFUNCS_H

#include "caract/rmlib/rmmatrix/rmvector.h"

/** Class for function definition.
  *@author Robert Marti
  */
class rmFuncs {
public:
	virtual ~rmFuncs() {};
	virtual double operator () ( const rmVector<double> & ) = 0;
};

class rmFunc1D {
public:
	virtual ~rmFunc1D() {};
	virtual double operator () (double x) = 0;
};


class rmFunc2D {
public:
	virtual ~rmFunc2D() {};
	virtual double operator () (double x, double y) = 0;
};
#endif
