/***************************************************************************
                          rmstatregion.h  -  description
                             -------------------
    begin                : Sun Jun 30 2002
    copyright            : (C) 2002 by Robert Marti
    email                : robertmarti@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef RMSTATREGION_H
#define RMSTATREGION_H
/**
	Class to compute statistics from a region
  *@author Robert Marti
  */
class rmStatRegion
{
private:
	double mean,stdev;
	double var;
	double sum, sum2;
	int N;
	int ID;
public:
	void initStats(int value, int nSeed);
	void updateStats(int value);
	double getMean();
	double getVar();
	int getN();
	int getID();

};
#endif
